# Create a Collection. Create a collection and add assets to it. Assets in the collection are identified by FileID therefore collectionDocument contains File ID The user should have View permission on assets to be added to the collection. Endpoint: POST /collection Version: 1.0 Security: ApiKeyAuth, BasicAuth ## Header parameters: - `X-API-Key` (string, required) Customer-specific API key required to invoke API. - `Authorization` (string, required) Provided by Authentication Token creation operation - `AccessToken` (string, required) JWT token provided by Authentication Token creation operation. - `Content-Type` (string, required) Enum: "application/json" ## Request fields (application/json): - `collectionType` (string) Enum: "secured", "private" - `name` (string) Name of the collection Example: "Best of the month" - `collectionDocument` (array) List of Asset IDs to be added to the Collection. - `metadataTemplateId` (string) Unique ID of the metadata template for 'secure' or 'private' collections Example: "ea6eb24d-adef-4380-bd02-f64f567c437f" - `securityTemplateIds` (array) List of Security Template IDs Example: ["7d6f4e30-f423-11e9-8071-89c0c4052156"] - `MetadataDocument` (array) Array of metadata attributes that are required for the metadata template ## Response 200 fields (application/json): - `statusCode` (string) Enum: "success", "error" - `message` (string) detailed message Example: "Collection successfully created" - `collectionId` (string) ID of created collection if successful Example: "4b5896b4-33e4-41ac-b251-39a4dbaa25b1" ## Response 401 fields (application/json): - `message` (string) - `detail` (string) ## Response 403 fields (application/json): - `message` (string) - `detail` (string)